package com.ruoyi.web.controller.crops;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.crops.domain.DataAcquisition;
import com.ruoyi.crops.service.IDataAcquisitionService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.FileNotFoundException;
import java.util.List;

/**
 * 数据采集Controller
 */
@RestController
@RequestMapping("/crops/acquisition")
public class DataAcquisitionController extends BaseController {
    @Autowired
    private IDataAcquisitionService iDataAcquisitionService;

    private static final Logger logger = LoggerFactory.getLogger(DataAcquisition.class);

    @GetMapping
    @PreAuthorize("@ss.hasPermi('crops:acquisition:list')")
    public DataAcquisition getData() {
        return iDataAcquisitionService.getData();
    }

    @Scheduled(fixedDelay = 60 * 60 * 1000)
    public DataAcquisition getdataAcquisition(){
        logger.info("每小时更新天空地一体化农业检测数据");
        return iDataAcquisitionService.getdataAcquisition();
    }
}

