package com.ruoyi.web.controller.crops;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.crops.domain.GeoserverShp;
import com.ruoyi.crops.service.IGeoserverShpService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;

/**
 * 发布shp地图服务文件表;(geoserver_shp)表控制层
 * @author : http://www.chiner.pro
 * @date : 2023-6-30
 */
@RestController
@RequestMapping("/geoserverShp")
public class GeoserverShpController extends BaseController {
    @Autowired
    private IGeoserverShpService iGeoserverShpService;

    /**
     * 通过时间查询
     */
    @GetMapping("/queryByTime")
    public AjaxResult queryByTime(@RequestParam Date beginTime,Date endTime){
        return AjaxResult.success(iGeoserverShpService.queryByTime(beginTime,endTime));
    }

    /**
     * 新增数据
     *
     * @param geoserverShp 实例对象
     * @return 实例对象
     */
    @PostMapping
    public AjaxResult add(GeoserverShp geoserverShp){
        return AjaxResult.success(iGeoserverShpService.insert(geoserverShp));
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @DeleteMapping
    public AjaxResult deleteById(Integer id){
        return AjaxResult.success(iGeoserverShpService.deleteById(id));
    }
}
