package com.ruoyi.crops.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;

import javax.persistence.*;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.io.Serializable;
import java.util.Date;

 /**
 * 用户表;
 * @author : http://www.chiner.pro
 * @date : 2023-5-19
 */
@Entity
@Table(name = "crops_user")
public class CropsUser implements Serializable{
    /** id */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "crops_user_seq_gen")
    @SequenceGenerator(name = "crops_user_seq_gen", sequenceName = "crops_user_seq")
    private Integer id ;
    /** 用户名 */
    @NotNull()
    private String userName ;
    /** 密码 */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    @NotBlank(message = "密码不能为空")
    private String password ;
    /** 联系方式 */
    @Pattern(regexp = "1[3457][0-9]{9}",message = "请输入正确的手机号")
    @NotBlank(message = "手机号不能为空")
    private String phone ;
    /** 角色 */
    private String role ;
    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date creatTime ;
    /** 备注 */
    private String remark ;
    /** 帐号状态（0正常 1停用） */
    private Integer status ;
    /** 删除标志（0存在 1删除） */
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private Integer delFlag ;

    /** id */
    public Integer getId(){
        return this.id;
    }
    /** id */
    public void setId(Integer id){
        this.id=id;
    }
    /** 用户名 */
    public String getUserName(){
        return this.userName;
    }
    /** 用户名 */
    public void setUserName(String userName){
        this.userName=userName;
    }
    /** 密码 */
    public String getPassword(){
        return this.password;
    }
    /** 密码 */
    public void setPassword(String password){
        this.password=password;
    }
    /** 联系方式 */
    public String getPhone(){
        return this.phone;
    }
    /** 联系方式 */
    public void setPhone(String phone){
        this.phone=phone;
    }
    /** 角色 */
    public String getRole(){
        return this.role;
    }
    /** 角色 */
    public void setRole(String role){
        this.role=role;
    }
    /** 创建时间 */
    public Date getCreatTime(){
        return this.creatTime;
    }
    /** 创建时间 */
    public void setCreatTime(Date creatTime){
        this.creatTime=creatTime;
    }
    /** 备注 */
    public String getRemark(){
        return this.remark;
    }
    /** 备注 */
    public void setRemark(String remark){
        this.remark=remark;
    }
    /** 帐号状态（0正常 1停用） */
    public Integer getStatus(){
        return this.status;
    }
    /** 帐号状态（0正常 1停用） */
    public void setStatus(Integer status){
        this.status=status;
    }
    /** 删除标志（0存在 1删除） */
    public Integer getDelFlag(){
        return this.delFlag;
    }
    /** 删除标志（0存在 1删除） */
    public void setDelFlag(Integer delFlag){
        this.delFlag=delFlag;
    }
}
