package com.ruoyi.crops.domain;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

 /**
 * 数据采集表;
 * @author : http://www.chiner.pro
 * @date : 2023-5-23
 */
public class DataAcquisition{
    /** id */
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private Integer id ;
    /** 影像数据条数 */
    private Integer imageData ;
    /** 影像数据总量 */
    private Float imageDataTotal ;
    /** 无人机数据条数 */
    private Integer droneData ;
    /** 无人机数据总量 */
    private Float droneDataTotal ;
    /** 传感器数据条数 */
    private Integer sensorData ;
    /** 传感器数据总量 */
    private Float sensorDataTotal ;
    /** 时间 */
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")//接收时间类型
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")//返回时间类型
    private Date time ;

    /** id */
    public Integer getId(){
        return this.id;
    }
    /** id */
    public void setId(Integer id){
        this.id=id;
    }
    /** 影像数据条数 */
    public Integer getImageData(){
        return this.imageData;
    }
    /** 影像数据条数 */
    public void setImageData(Integer imageData){
        this.imageData=imageData;
    }
    /** 影像数据总量 */
    public Float getImageDataTotal(){
        return this.imageDataTotal;
    }
    /** 影像数据总量 */
    public void setImageDataTotal(Float imageDataTotal){
        this.imageDataTotal=imageDataTotal;
    }
    /** 无人机数据条数 */
    public Integer getDroneData(){
        return this.droneData;
    }
    /** 无人机数据条数 */
    public void setDroneData(Integer droneData){
        this.droneData=droneData;
    }
    /** 无人机数据总量 */
    public Float getDroneDataTotal(){
        return this.droneDataTotal;
    }
    /** 无人机数据总量 */
    public void setDroneDataTotal(Float droneDataTotal){
        this.droneDataTotal=droneDataTotal;
    }
    /** 传感器数据条数 */
    public Integer getSensorData(){
        return this.sensorData;
    }
    /** 传感器数据条数 */
    public void setSensorData(Integer sensorData){
        this.sensorData=sensorData;
    }
    /** 传感器数据总量 */
    public Float getSensorDataTotal(){
        return this.sensorDataTotal;
    }
    /** 传感器数据总量 */
    public void setSensorDataTotal(Float sensorDataTotal){
        this.sensorDataTotal=sensorDataTotal;
    }
    /** 时间 */
    public Date getTime(){
        return this.time;
    }
    /** 时间 */
    public void setTime(Date time){
        this.time=time;
    }

     @Override
     public String toString() {
         return "DataAcquisition{" +
                 "id=" + id +
                 ", imageData=" + imageData +
                 ", imageDataTotal='" + imageDataTotal + '\'' +
                 ", droneData=" + droneData +
                 ", droneDataTotal='" + droneDataTotal + '\'' +
                 ", sensorData=" + sensorData +
                 ", sensorDataTotal='" + sensorDataTotal + '\'' +
                 ", time=" + time +
                 '}';
     }
 }
