package com.ruoyi.crops.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

 /**
 * 农机作业任务表;
 * @author : http://www.chiner.pro
 * @date : 2023-6-7
 */
public class MachineryJobData {
    /** id */
    private Integer id ;
    /** 归属省 */
    private String province ;
    /** 归属地市 */
    private String city ;
    /** 归属区县 */
    private String county ;
    /** 作业日期 */
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd")
    private Date jobday ;
    /** 作业类型码 */
    private Integer jobtype ;
    /** 农机编号 */
    private String vehicleno ;
    /** 终端编号 */
    private String vmeid ;
    /** 作业地块面积(单位：亩) */
    private Double plotarea ;
    /** 作业面积（单位：亩） */
    private Double jobarea ;
    /** 达标比() */
    private Double qualratio ;
    /** 达标面积（单位：亩） */
    private Double qualarea ;
    /** 作业幅宽（单位：米） */
    private Double jobwidth ;
     /** 面积（单位：亩） */
     private Double area ;
     /** 时长（单位：小时） */
     private Double workhours ;

    /** id */
    public Integer getId(){
        return this.id;
    }
    /** id */
    public void setId(Integer id){
        this.id=id;
    }
    /** 归属省 */
    public String getProvince(){
        return this.province;
    }
    /** 归属省 */
    public void setProvince(String province){
        this.province=province;
    }
    /** 归属地市 */
    public String getCity(){
        return this.city;
    }
    /** 归属地市 */
    public void setCity(String city){
        this.city=city;
    }
    /** 归属区县 */
    public String getCounty(){
        return this.county;
    }
    /** 归属区县 */
    public void setCounty(String county){
        this.county=county;
    }
    /** 作业日期 */
    public Date getJobday(){
        return this.jobday;
    }
    /** 作业日期 */
    public void setJobday(Date jobday){
        this.jobday=jobday;
    }
    /** 作业类型码 */
    public Integer getJobtype(){
        return this.jobtype;
    }
    /** 作业类型码 */
    public void setJobtype(Integer jobtype){
        this.jobtype=jobtype;
    }
    /** 农机编号 */
    public String getVehicleno(){
        return this.vehicleno;
    }
    /** 农机编号 */
    public void setVehicleno(String vehicleno){
        this.vehicleno=vehicleno;
    }
    /** 终端编号 */
    public String getVmeid(){
        return this.vmeid;
    }
    /** 终端编号 */
    public void setVmeid(String vmeid){
        this.vmeid=vmeid;
    }
    /** 作业地块面积(单位：亩) */
    public Double getPlotarea(){
        return this.plotarea;
    }
    /** 作业地块面积(单位：亩) */
    public void setPlotarea(Double plotarea){
        this.plotarea=plotarea;
    }
    /** 作业面积（单位：亩） */
    public Double getJobarea(){
        return this.jobarea;
    }
    /** 作业面积（单位：亩） */
    public void setJobarea(Double jobarea){
        this.jobarea=jobarea;
    }
    /** 达标比() */
    public Double getQualratio(){
        return this.qualratio;
    }
    /** 达标比() */
    public void setQualratio(Double qualratio){
        this.qualratio=qualratio;
    }
    /** 达标面积（单位：亩） */
    public Double getQualarea(){
        return this.qualarea;
    }
    /** 达标面积（单位：亩） */
    public void setQualarea(Double qualarea){
        this.qualarea=qualarea;
    }
    /** 作业幅宽（单位：米） */
    public Double getJobwidth(){
        return this.jobwidth;
    }
    /** 作业幅宽（单位：米） */
    public void setJobwidth(Double jobwidth){
        this.jobwidth=jobwidth;
    }

     public Double getArea() {
         return area;
     }

     public void setArea(Double area) {
         this.area = area;
     }

     public Double getWorkhours() {
         return workhours;
     }

     public void setWorkhours(Double workhours) {
         this.workhours = workhours;
     }

     @Override
     public String toString() {
         return "MachineryJobData{" +
                 "id=" + id +
                 ", province='" + province + '\'' +
                 ", city='" + city + '\'' +
                 ", county='" + county + '\'' +
                 ", jobday=" + jobday +
                 ", jobtype=" + jobtype +
                 ", vehicleno='" + vehicleno + '\'' +
                 ", vmeid='" + vmeid + '\'' +
                 ", plotarea=" + plotarea +
                 ", jobarea=" + jobarea +
                 ", qualratio=" + qualratio +
                 ", qualarea=" + qualarea +
                 ", jobwidth=" + jobwidth +
                 ", area=" + area +
                 ", workhours=" + workhours +
                 '}';
     }
 }
