package com.ruoyi.crops.domain;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * 气象预报 表
 * @author tajochen
 */
@Entity
@Table(name="weather_prediction")
public class WeatherPredictionEntity implements Serializable {

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "weather_prediction_seq_gen")
    @SequenceGenerator(name = "weather_prediction_seq_gen", sequenceName = "weather_prediction_seq")
    private Integer id;

    // 气象时间
    private LocalDateTime weatherTime;

    // 气象名称
    @Column(length = 16, columnDefinition = "varchar(16)")
    private String weatherName;

    // 气温
    @Column(length = 16, columnDefinition = "varchar(16)")
    private String airTemperature;

    // 降水量
    @Column(length = 16, columnDefinition = "varchar(16)")
    private String precipitation;

    // 风速
    @Column(length = 16, columnDefinition = "varchar(16)")
    private String windSpeed;

    // 风向
    @Column(length = 16, columnDefinition = "varchar(16)")
    private String windDirection;

    // 气压
    @Column(length = 16, columnDefinition = "varchar(16)")
    private String atmosphericPressure;

    // 湿度
    @Column(length = 16, columnDefinition = "varchar(16)")
    private String humidity;

    // 云量
    @Column(length = 16, columnDefinition = "varchar(16)")
    private String cloudCover;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public LocalDateTime getWeatherTime() {
        return weatherTime;
    }

    public void setWeatherTime(LocalDateTime weatherTime) {
        this.weatherTime = weatherTime;
    }

    public String getWeatherName() {
        return weatherName;
    }

    public void setWeatherName(String weatherName) {
        this.weatherName = weatherName;
    }

    public String getAirTemperature() {
        return airTemperature;
    }

    public void setAirTemperature(String airTemperature) {
        this.airTemperature = airTemperature;
    }

    public String getPrecipitation() {
        return precipitation;
    }

    public void setPrecipitation(String precipitation) {
        this.precipitation = precipitation;
    }

    public String getWindSpeed() {
        return windSpeed;
    }

    public void setWindSpeed(String windSpeed) {
        this.windSpeed = windSpeed;
    }

    public String getWindDirection() {
        return windDirection;
    }

    public void setWindDirection(String windDirection) {
        this.windDirection = windDirection;
    }

    public String getAtmosphericPressure() {
        return atmosphericPressure;
    }

    public void setAtmosphericPressure(String atmosphericPressure) {
        this.atmosphericPressure = atmosphericPressure;
    }

    public String getHumidity() {
        return humidity;
    }

    public void setHumidity(String humidity) {
        this.humidity = humidity;
    }

    public String getCloudCover() {
        return cloudCover;
    }

    public void setCloudCover(String cloudCover) {
        this.cloudCover = cloudCover;
    }

    @Override
    public String toString() {
        return "WeatherPredictionEntity{" +
                "id=" + id +
                ", weatherTime=" + weatherTime +
                ", weatherName='" + weatherName + '\'' +
                ", airTemperature='" + airTemperature + '\'' +
                ", precipitation='" + precipitation + '\'' +
                ", windSpeed='" + windSpeed + '\'' +
                ", windDirection='" + windDirection + '\'' +
                ", atmosphericPressure='" + atmosphericPressure + '\'' +
                ", humidity='" + humidity + '\'' +
                ", cloudCover='" + cloudCover + '\'' +
                '}';
    }
}
