package com.ruoyi.crops.service;

import com.ruoyi.crops.domain.DeviceSense;
import com.ruoyi.crops.domain.vo.DeviceSenseVo;

import java.util.Date;
import java.util.List;

public interface IDeviceSenseService {
    /**
     * 插入设备状态信息
     * @param deviceSense
     * @return
     */
    int insert(DeviceSense deviceSense);

    //sql判断重复数据后插入
    void dedupInsert(DeviceSense deviceSense);

    /**
     * 根据id查询设备状态信息
     * @param deviceId
     * @return
     */
    List<DeviceSense> selectById(String deviceId);

    /**
     * 根据时间进行查询设备状态信息
     * @param startTime
     * @param endTime
     * @return
     */
    List<DeviceSense> selectByTime(Date startTime, Date endTime);

    /**
     * 根据类型查询平均数据
     * @param type
     * @return
     */
    List<DeviceSenseVo> averageList(String type);
}
