package com.ruoyi.crops.service.impl;

import com.github.pagehelper.PageHelper;
import com.ruoyi.crops.domain.CropsDrought;
import com.ruoyi.crops.domain.CropsYield;
import com.ruoyi.crops.mapper.CropsDroughtMapper;
import com.ruoyi.crops.service.ICropsDroughtService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class CropsDroughtServiceImpl implements ICropsDroughtService {
    @Autowired
    private CropsDroughtMapper cropsDroughtMapper;

    /**
     * 批量插入作物旱情数据
     * @param cropsYieldList
     * @return
     */
    @Override
    public int insertBatch(List<CropsDrought> cropsYieldList) {
        return cropsDroughtMapper.insertBatch(cropsYieldList);
    }

    /**
     * 根据时间查询作物旱情数据
     * @param time
     * @return
     */
    @Override
    public List<CropsDrought> selectByTime(Date time) {
        return cropsDroughtMapper.selectByTime(time);
    }
}
