package com.ruoyi.crops.service.impl;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.crops.domain.CropsUser;
import com.ruoyi.crops.mapper.CropsUserMapper;
import com.ruoyi.crops.service.ICropsUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CropsUserServiceImpl implements ICropsUserService {
    @Autowired
    private CropsUserMapper cropsUserMapper;

    /**
     * 获取全部用户列表
     * @return
     */
    @Override
    public List<CropsUser> list() {
        return cropsUserMapper.list();
    }

    /**
     * 新增用户
     * @param cropsUser
     * @return
     */
    @Override
    public int insert(CropsUser cropsUser) {
        return cropsUserMapper.insert(cropsUser);
    }

    /**
     * 删除用户
     * @param id
     * @return
     */
    @Override
    public int delete(Integer id) {
        return cropsUserMapper.delete(id);
    }

    /**
     * 修改用户
     * @param id
     * @return
     */
    @Override
    public int update(Integer id) {
        return cropsUserMapper.update(id);
    }

    @Override
    public CropsUser selectByPhone(String phone) {
        return cropsUserMapper.selectByPhone(phone);
    }

    @Override
    public CropsUser login(CropsUser user) {
        return cropsUserMapper.login(user);
    }

    @Override
    public int regist(CropsUser cropsUser) {
        CropsUser cnt = cropsUserMapper.selectByPhone(cropsUser.getPhone());
        if (cnt!=null){
            throw new RuntimeException("手机号已存在");
        }
        int tmp = cropsUserMapper.selectCountByName(cropsUser.getUserName());
        if (tmp == 1){
            throw new RuntimeException("用户名已存在");
        }
        return cropsUserMapper.insert(cropsUser);
    }
}
