package com.ruoyi.crops.service.impl;

import com.ruoyi.crops.domain.CropsYield;
import com.ruoyi.crops.mapper.CropsYieldMapper;
import com.ruoyi.crops.service.ICropsYieldService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CropsYieldServiceImpl implements ICropsYieldService {
    @Autowired
    private CropsYieldMapper cropsYieldMapper;

    /**
     * 根据年份查询作物产量
     * @param year
     * @return
     */
    @Override
    public List<CropsYield> selectByYear(Integer year) {

        List<CropsYield> cropsYields = cropsYieldMapper.selectByYear(year);
        for (CropsYield cropsYield : cropsYields) {
            switch (cropsYield.getCropType()) {
                case "ym":cropsYield.setCropType("玉米");
                case "xm":cropsYield.setCropType("小麦");
                case "dd":cropsYield.setCropType("大豆");
                case "hs":cropsYield.setCropType("花生");
                case "qt":cropsYield.setCropType("其他");
            }
        }
        return cropsYields;
    }

    /**
     * 批量新增作物产量数据
     * @param cropYieldList
     * @return
     */
    @Override
    public int insertBatch(List<CropsYield> cropYieldList) {
        return cropsYieldMapper.insertBatch(cropYieldList);
    }
}
