package com.ruoyi.crops.service.impl;

import com.ruoyi.common.config.RuoYiConfig;
import com.ruoyi.crops.domain.DataAcquisition;
import com.ruoyi.crops.mapper.DataAcquisitionMapper;
import com.ruoyi.crops.service.IDataAcquisitionService;
import org.apache.poi.ss.formula.functions.Now;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.List;

@Service
public class DataAcquisitionServiceImpl implements IDataAcquisitionService {
    @Autowired
    private DataAcquisitionMapper dataAcquisitionMapper;

    long numb = 0;//总大小(字节)
    int length = 0;//文件个数
    @Override
    public DataAcquisition getData() {
        return dataAcquisitionMapper.getData();
    }

    @Override
    public int insert(DataAcquisition data) {
        return dataAcquisitionMapper.insert(data);
    }

    @Override
    public DataAcquisition getdataAcquisition(){

        File file = new File(RuoYiConfig.getUploadPath()+"\\tifFile");
        countfile(file);//统计tiff影像文件
        //查询前刷新表数据
        dataAcquisitionMapper.analyze();
        DataAcquisition sensorData = dataAcquisitionMapper.getSensorData();
        sensorData.setImageData(length);
        sensorData.setImageDataTotal((float)numb / 1024 / 1024);
        insert(sensorData);
        return sensorData;
    }

    public void countfile(File fpath){
        String path = fpath.getPath();
        File file = new File(path);        //获取其file对象
        File[] fs = file.listFiles();    //遍历path下的文件和目录，放在File数组中
             length = fs.length;
        for (File f : fs) {                    //遍历File[]数组
            if (!f.isDirectory())        //若非目录(即文件)，对其进行遍历
            {
                numb += f.length();//获取文件大小(字节)
            } else {
                countfile(f);
            }

        }
    }
}
