package com.ruoyi.crops.service.impl;


import com.ruoyi.common.utils.DateUtil;
import com.ruoyi.crops.domain.DeviceSense;

import com.ruoyi.crops.domain.vo.DeviceSenseVo;
import com.ruoyi.crops.mapper.DeviceSenseMapper;
import com.ruoyi.crops.service.IDeviceSenseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;


@Service
public class DeviceSenseServiceImpl implements IDeviceSenseService {
    @Autowired
    private DeviceSenseMapper deviceSenseMapper;

    @Override
    public int insert(DeviceSense deviceSense) {
        return deviceSenseMapper.insert(deviceSense);

    }

    /**
     * 数据库判断重复数据后插入
     *
     * @param deviceSense
     */
    @Override
    public void dedupInsert(DeviceSense deviceSense) {
        deviceSenseMapper.dedupInsert(deviceSense);
    }

    /**
     * 根据设备id查询
     * @param deviceId
     * @return
     */
    @Override
    public List<DeviceSense> selectById(String deviceId) {
        return deviceSenseMapper.selectById(deviceId);
    }

    /**
     * 根据时间查询设备状态
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @return
     */
    @Override
    public List<DeviceSense> selectByTime(Date startTime, Date endTime) {
        return deviceSenseMapper.selectByTime(startTime, endTime);
    }

    /**
     * 根据天周月查询设备状态平均值
     * @param type
     * @return
     */
    @Override
    public List<DeviceSenseVo> averageList(String type) {
        if (type.equals("hours")) {
            Date dayBegin = DateUtil.getBeginDayOfYesterday();
            Date dayend = DateUtil.getBeginDayOfTomorrow();
            return deviceSenseMapper.selecthours(dayBegin, dayend);
        } else if (type.equals("week")) {
            Date weekBegin = DateUtil.getBeginDayOf7day();
            Date weekEnd = DateUtil.getDayBegin();
            return deviceSenseMapper.selectdays(weekBegin, weekEnd);
        } else if (type.equals("month")) {
            Date monthBegin = DateUtil.getBeginDayOfMonth();
            Date monthEnd = DateUtil.getEndDayOfMonth();
            return deviceSenseMapper.selectdays(monthBegin, monthEnd);
        }
        return null;
    }
}
