package com.ruoyi.crops.service.impl;

import com.ruoyi.crops.domain.GeoserverShp;
import com.ruoyi.crops.mapper.GeoserverShpMapper;
import com.ruoyi.crops.service.IGeoserverShpService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 发布shp地图服务文件表;(geoserver_shp)表服务实现类
 * @author : http://www.chiner.pro
 * @date : 2023-6-30
 */
@Service
public class GeoserverShpServiceImpl implements IGeoserverShpService {
    @Autowired
    private GeoserverShpMapper geoserverShpMapper;

     /**
      * 通过时间查询
      */
    public List<GeoserverShp> queryByTime(Date beginTime,Date endTime){
        return geoserverShpMapper.queryByTime(beginTime,endTime);
    }

    /**
     * 新增数据
     *
     * @param geoserverShp 实例对象
     * @return 实例对象
     */
    public GeoserverShp insert(GeoserverShp geoserverShp){
        geoserverShpMapper.insert(geoserverShp);
        return geoserverShp;
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    public boolean deleteById(Integer id){
        int total = geoserverShpMapper.deleteById(id);
        return total > 0;
    }
}
