package com.ruoyi.crops.service.impl;

import com.ruoyi.crops.domain.ServiceType;
import com.ruoyi.crops.mapper.ServiceTypeMapper;
import com.ruoyi.crops.service.IServiceTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ServiceTypeServiceImpl implements IServiceTypeService {
    @Autowired
    private ServiceTypeMapper serviceTypeMapper;

    /**
     * 根据类型查询
     *
     * @param type
     * @return
     */
    @Override
    public List<ServiceType> selectByType(String type) {
        return serviceTypeMapper.selectByType(type);

    }

    /**
     * 新增单条数据
     *
     * @param serviceType
     * @return
     */
    @Override
    public int insert(ServiceType serviceType) {
        return serviceTypeMapper.insert(serviceType);
    }

    /**
     * 查询全部数据
     *
     * @return
     */
    @Override
    public List<ServiceType> selectAll() {
        return serviceTypeMapper.selectAll();
    }

    /**
     * 根据id数组批量删除
     *
     * @param ids
     * @return
     */
    @Override
    public int deleteByIds(Long[] ids) {
        return serviceTypeMapper.deleteByIds(ids);
    }
}
